<id>
Anguz:TableFromCsv
</id>

<version>
1.30
</version>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
		// This is mainly for the bbc manager, so it's easy to add tags above.  Custom BBC should be added above this line.
</search for>

<add before>
		// Table From CSV
		$codes[] = array(
			'tag' => 'table',
			'type' => 'unparsed_equals_content',
			'validate' => create_function('&$tag, &$data, $disabled', '
				static $csvtable_id = 1;
				$ths = $tds = \'\';
				if (empty($data[1]))
					$data[1] = \',\';
				$data[0] = trim(strtr($data[0], array(\'<br />\' => "\n")));
				if (strpos($data[0], "\n") !== false)
				{
					$data[0] = explode("\n", $data[0]);
					$ths = \'<tr><th>\' . strtr($data[0][0], array($data[1] => \'</th><th>\')) . \'</th></tr>\';
					unset($data[0][0]);
					$data[0] = implode(\'</td></tr><tr><td>\', $data[0]);
				}
				$tds = \'<tr><td>\' . strtr(parse_bbc($data[0]), array($data[1] => \'</td><td>\')) . \'</td></tr>\';
				$data[0] = \'<table id="csvtable\' . $csvtable_id++ . \'" class="csvtable\' . (!empty($ths) ? \' sortable\' : \'\') . \'">\' . $ths . $tds . \'</table>\';'),
			'content' => '$1',
			'block_level' => true,
		);

</add before>

<edit file>
$themedir/index.template.php
</edit file>

<search for>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?fin11"></script>
</search for>

<add after>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sorttable.js"></script>
</add after>

<edit file>
$themedir/style.css
</edit file>

<search for>
/* Alternating backgrounds for posts, and several other sections of the forum. */
</search for>

<add before>
/* Table From CSV. */
.csvtable td, .csvtable th
{
	font-family: monospace;
	color: inherit;
}
.csvtable td
{
	vertical-align: top;
}
.sortarrow
{
	font-family: serif;
}
.sortbg1 td
{
	background-color: #F0F0F0;
}
.sortbg2 td, .sortable th
{
	background-color: #E1E1E1;
}

</add before>
